Bug 65800 - branch islands created by ld for far-off branches should use brl instruction
Summary: branch islands created by ld for far-off branches should use brl instruction
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: binutils (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: ia64 Linux
high
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-31 20:00 UTC by Satish Guggilla
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-07 18:17:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Satish Guggilla 2002-05-31 20:00:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
When creating branch islands for branches whose targets are far off, GNU ld 
currently sets up the target address in a branch register and does a branch to 
the target address in this branch register. It will be more efficient to use 
brl instruction instead.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
The use of BRL in binutils/bfd/elfxx-ia64.c is turned off with 
undef USE_BRL	.

Additional info:

Comment 1 Jeff Law 2003-03-07 18:17:14 UTC
The current development binutils/bfd sources were recently modified to
use BRL instructions.




Note You need to log in before you can comment on or make changes to this bug.